#!/bin/sh

# Copyright 2009 Kevin Ryde.
#
# This file is part of miscbits-el.
#
# miscbits-el is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# miscbits-el is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with miscbits-el; see the file COPYING.  Failing that, go to
# <http://www.gnu.org/licenses/>.

echo Entering directory \`/tmp/bytecomp-simplify\'
# mkdir /tmp/bytecomp-simplify
# cp /down/emacs/lisp/*.el /down/emacs/lisp/*/*.el /tmp/bytecomp-simplify
cd /tmp/bytecomp-simplify

ls *.el | xargs -n 20 emacs-cvs-b -Q -batch \
  --eval "(require 'bytecomp)" \
  --eval "(setq byte-compile-warnings '(simplify))" \
  -f batch-byte-compile
