;;; d-checkdoc-vs-flyspell.el --- development bits for checkdoc-vs-flyspell.el

;; Copyright 2011 Kevin Ryde.

;; Keywords: lisp

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


;;; Commentary:

;;; History:

;;; Code:

(flyspell-mode 1)
(progn
  (flyspell-mode 0)
  (ispell-kill-ispell t))
(load (expand-file-name "checkdoc-vs-flyspell.el"))

(progn
  (setq checkdoc-spellcheck-documentation-flag t)
  (checkdoc))

(defun foo ()
  "Something about alist."
  nil)

(provide 'd-checkdoc-vs-flyspell)

;;; foo.el ends here

(provide 'd-checkdoc-vs-flyspell)

;;; d-checkdoc-vs-flyspell.el ends here
